package com.jah0wl.catan;

import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.Image;
import java.io.IOException;
import com.jah0wl.utils.*;

public class Robber extends Hexagon{
	
	int value; //robber type
	
	// Constructor
	public Robber(){
		this(0,0,0);	
	}
	public Robber(int r){
		this(0,0,r);	
	}	
	public Robber(Point p, int r){
		this(p.x,p.y,r);
	}
	public Robber(int x, int y, int r){
		super(x,y,r);
		value =1;
	}	
	
	// Observadoras selectoras
	
	public int getValue(){
		return value;
	}
	
	public void setValue(int v){
		value = v;
	}
	
	public void paint(Graphics g){
		try{
			Image img = Image.createImage("/robber" + ".png"); //todo missing -- robbers for particular terrain(?)
//			Image img = Image.createImage("/robber_"+value +".png"); //todo missing -- robbers for particular terrain(?)
			g.drawImage(img,x,y,g.VCENTER|g.HCENTER);
		}catch (IOException e){
			g.setColor(0,0,0);
			g.fillRect(x-5,y-5,10,10);			
		}
	}
}